<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: PluginLocalProfile Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/dc4/class_plugin_local_profile.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">PluginLocalProfile Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:abb3921b55b70051df3350338e71e9485"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc4/class_plugin_local_profile.html#abb3921b55b70051df3350338e71e9485">GetFileName</a> ()</td></tr>
<tr class="separator:abb3921b55b70051df3350338e71e9485"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4463d18dbe9e3302ca49b445e7ab7c13"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc4/class_plugin_local_profile.html#a4463d18dbe9e3302ca49b445e7ab7c13">GetPathScenes</a> ()</td></tr>
<tr class="separator:a4463d18dbe9e3302ca49b445e7ab7c13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb3921b55b70051df3350338e71e9485"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc4/class_plugin_local_profile.html#abb3921b55b70051df3350338e71e9485">GetFileName</a> ()</td></tr>
<tr class="separator:abb3921b55b70051df3350338e71e9485"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92e0960940fd8af018a3ae45b1058542"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc4/class_plugin_local_profile.html#a92e0960940fd8af018a3ae45b1058542">OnInit</a> ()</td></tr>
<tr class="separator:a92e0960940fd8af018a3ae45b1058542"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a072476a2baa2a381dee19055a07a8aa5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc4/class_plugin_local_profile.html#a072476a2baa2a381dee19055a07a8aa5">GetSceneList</a> ()</td></tr>
<tr class="separator:a072476a2baa2a381dee19055a07a8aa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb67e6391275e4ebdb749f1e3636a589"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc4/class_plugin_local_profile.html#acb67e6391275e4ebdb749f1e3636a589">SceneSave</a> (<a class="el" href="../../dd/d60/class_scene_data.html">SceneData</a> scene)</td></tr>
<tr class="separator:acb67e6391275e4ebdb749f1e3636a589"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a14d102625b39f2740fafe012d2b73c51"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc4/class_plugin_local_profile.html#a14d102625b39f2740fafe012d2b73c51">FILE_ROOT</a> = &quot;$saves:&quot;</td></tr>
<tr class="separator:a14d102625b39f2740fafe012d2b73c51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae266582f6dcbff92b4e023674b2b01d0"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc4/class_plugin_local_profile.html#ae266582f6dcbff92b4e023674b2b01d0">FILE_ROOT_SCENES</a> = &quot;Scenes&quot;</td></tr>
<tr class="separator:ae266582f6dcbff92b4e023674b2b01d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e3622844474af02736604793a52de87"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc4/class_plugin_local_profile.html#a1e3622844474af02736604793a52de87">PARAM_MISSION</a> = &quot;Mission&quot;</td></tr>
<tr class="separator:a1e3622844474af02736604793a52de87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af94fae5477b37b2868780ac630c193d3"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc4/class_plugin_local_profile.html#af94fae5477b37b2868780ac630c193d3">PARAM_TIME</a> = &quot;InitTime&quot;</td></tr>
<tr class="separator:af94fae5477b37b2868780ac630c193d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19c118f81ff1e3a1bda2839c11cf4d0c"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc4/class_plugin_local_profile.html#a19c118f81ff1e3a1bda2839c11cf4d0c">PARAM_RAIN</a> = &quot;InitWeatherRain&quot;</td></tr>
<tr class="separator:a19c118f81ff1e3a1bda2839c11cf4d0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cfc66072e08c7498e99e43161ec1558"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc4/class_plugin_local_profile.html#a6cfc66072e08c7498e99e43161ec1558">PARAM_FOG</a> = &quot;InitWeatherFog&quot;</td></tr>
<tr class="separator:a6cfc66072e08c7498e99e43161ec1558"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3df30aea29540c312374155832bd452"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc4/class_plugin_local_profile.html#ab3df30aea29540c312374155832bd452">PARAM_OBJ_COUNT</a> = &quot;SceneObjectsCount&quot;</td></tr>
<tr class="separator:ab3df30aea29540c312374155832bd452"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c7e3ba82f47da7de8304284837a8766"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc4/class_plugin_local_profile.html#a0c7e3ba82f47da7de8304284837a8766">PARAM_OBJ_NAME</a> = &quot;SceneObject&quot;</td></tr>
<tr class="separator:a0c7e3ba82f47da7de8304284837a8766"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a380b6ff79ee3405314ce71ad2473a0ef"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc4/class_plugin_local_profile.html#a380b6ff79ee3405314ce71ad2473a0ef">m_FileSceneName</a></td></tr>
<tr class="separator:a380b6ff79ee3405314ce71ad2473a0ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../da/dcd/_plugin_additional_info_8c_source.html#l00001">1</a> of file <a class="el" href="../../da/dcd/_plugin_additional_info_8c_source.html">PluginAdditionalInfo.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="abb3921b55b70051df3350338e71e9485" name="abb3921b55b70051df3350338e71e9485"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb3921b55b70051df3350338e71e9485">&#9670;&#160;</a></span>GetFileName() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> PluginLocalProfile::GetFileName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dcd/_plugin_additional_info_8c_source.html#l00003">3</a> of file <a class="el" href="../../da/dcd/_plugin_additional_info_8c_source.html">PluginAdditionalInfo.c</a>.</p>

</div>
</div>
<a id="abb3921b55b70051df3350338e71e9485" name="abb3921b55b70051df3350338e71e9485"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb3921b55b70051df3350338e71e9485">&#9670;&#160;</a></span>GetFileName() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> PluginLocalProfile::GetFileName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00042">42</a> of file <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html">PluginLocalProfileScene.c</a>.</p>

</div>
</div>
<a id="a4463d18dbe9e3302ca49b445e7ab7c13" name="a4463d18dbe9e3302ca49b445e7ab7c13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4463d18dbe9e3302ca49b445e7ab7c13">&#9670;&#160;</a></span>GetPathScenes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> PluginLocalProfile::GetPathScenes </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00034">34</a> of file <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html">PluginLocalProfileScene.c</a>.</p>

</div>
</div>
<a id="a072476a2baa2a381dee19055a07a8aa5" name="a072476a2baa2a381dee19055a07a8aa5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a072476a2baa2a381dee19055a07a8aa5">&#9670;&#160;</a></span>GetSceneList()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a> PluginLocalProfile::GetSceneList </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00059">59</a> of file <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html">PluginLocalProfileScene.c</a>.</p>

</div>
</div>
<a id="a92e0960940fd8af018a3ae45b1058542" name="a92e0960940fd8af018a3ae45b1058542"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92e0960940fd8af018a3ae45b1058542">&#9670;&#160;</a></span>OnInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void PluginLocalProfile::OnInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00051">51</a> of file <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html">PluginLocalProfileScene.c</a>.</p>

</div>
</div>
<a id="acb67e6391275e4ebdb749f1e3636a589" name="acb67e6391275e4ebdb749f1e3636a589"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb67e6391275e4ebdb749f1e3636a589">&#9670;&#160;</a></span>SceneSave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PluginLocalProfile::SceneSave </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d60/class_scene_data.html">SceneData</a>&#160;</td>
          <td class="paramname"><em>scene</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00088">88</a> of file <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html">PluginLocalProfileScene.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a14d102625b39f2740fafe012d2b73c51" name="a14d102625b39f2740fafe012d2b73c51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14d102625b39f2740fafe012d2b73c51">&#9670;&#160;</a></span>FILE_ROOT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> PluginLocalProfile::FILE_ROOT = &quot;$saves:&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00020">20</a> of file <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html">PluginLocalProfileScene.c</a>.</p>

</div>
</div>
<a id="ae266582f6dcbff92b4e023674b2b01d0" name="ae266582f6dcbff92b4e023674b2b01d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae266582f6dcbff92b4e023674b2b01d0">&#9670;&#160;</a></span>FILE_ROOT_SCENES</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> PluginLocalProfile::FILE_ROOT_SCENES = &quot;Scenes&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00021">21</a> of file <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html">PluginLocalProfileScene.c</a>.</p>

</div>
</div>
<a id="a380b6ff79ee3405314ce71ad2473a0ef" name="a380b6ff79ee3405314ce71ad2473a0ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a380b6ff79ee3405314ce71ad2473a0ef">&#9670;&#160;</a></span>m_FileSceneName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> PluginLocalProfile::m_FileSceneName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00029">29</a> of file <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html">PluginLocalProfileScene.c</a>.</p>

</div>
</div>
<a id="a6cfc66072e08c7498e99e43161ec1558" name="a6cfc66072e08c7498e99e43161ec1558"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6cfc66072e08c7498e99e43161ec1558">&#9670;&#160;</a></span>PARAM_FOG</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> PluginLocalProfile::PARAM_FOG = &quot;InitWeatherFog&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00025">25</a> of file <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html">PluginLocalProfileScene.c</a>.</p>

</div>
</div>
<a id="a1e3622844474af02736604793a52de87" name="a1e3622844474af02736604793a52de87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e3622844474af02736604793a52de87">&#9670;&#160;</a></span>PARAM_MISSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> PluginLocalProfile::PARAM_MISSION = &quot;Mission&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00022">22</a> of file <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html">PluginLocalProfileScene.c</a>.</p>

</div>
</div>
<a id="ab3df30aea29540c312374155832bd452" name="ab3df30aea29540c312374155832bd452"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3df30aea29540c312374155832bd452">&#9670;&#160;</a></span>PARAM_OBJ_COUNT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> PluginLocalProfile::PARAM_OBJ_COUNT = &quot;SceneObjectsCount&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00026">26</a> of file <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html">PluginLocalProfileScene.c</a>.</p>

</div>
</div>
<a id="a0c7e3ba82f47da7de8304284837a8766" name="a0c7e3ba82f47da7de8304284837a8766"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c7e3ba82f47da7de8304284837a8766">&#9670;&#160;</a></span>PARAM_OBJ_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> PluginLocalProfile::PARAM_OBJ_NAME = &quot;SceneObject&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00027">27</a> of file <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html">PluginLocalProfileScene.c</a>.</p>

</div>
</div>
<a id="a19c118f81ff1e3a1bda2839c11cf4d0c" name="a19c118f81ff1e3a1bda2839c11cf4d0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19c118f81ff1e3a1bda2839c11cf4d0c">&#9670;&#160;</a></span>PARAM_RAIN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> PluginLocalProfile::PARAM_RAIN = &quot;InitWeatherRain&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00024">24</a> of file <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html">PluginLocalProfileScene.c</a>.</p>

</div>
</div>
<a id="af94fae5477b37b2868780ac630c193d3" name="af94fae5477b37b2868780ac630c193d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af94fae5477b37b2868780ac630c193d3">&#9670;&#160;</a></span>PARAM_TIME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> PluginLocalProfile::PARAM_TIME = &quot;InitTime&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00023">23</a> of file <a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html">PluginLocalProfileScene.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/4_World/Plugins/PluginBase/PluginFileHandler/PluginLocalProfile/<a class="el" href="../../da/dcd/_plugin_additional_info_8c_source.html">PluginAdditionalInfo.c</a></li>
<li>scripts/4_World/Plugins/PluginBase/PluginFileHandler/PluginLocalProfile/<a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c_source.html">PluginLocalProfileScene.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/dc4/class_plugin_local_profile.html">PluginLocalProfile</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
